Subject: bug#34172: 27.0.50; async-shell-command-buffer value is not honored in dired under Tramp

From: Michael Albinus <[email-masked]>
Date: Wed, 20 Mar 2019 23:18:41 +0100

Filipp Gunbin <[email-masked]> writes:

Hi Filipp,

> 1) emacs -Q -nw
>
> 2) Eval this: (setq async-shell-command-buffer 'rename-buffer)
>
> 3) Run async shell command (M-&) with this: "while true; do echo 'sleep
> 1 s'; sleep 1; done".  It creates buffer *Async Shell Command*
>
> 4) Run it again, it correctly renames original buffer into ...<2> and
> runs (second) command being launched in *Async Shell Command*
>
> 5) Then open dired via tramp, I used this: /sudo:root@localhost:/tmp
>
> 6) From this dired buffer, repeat steps 3 and 4.  At step 4 I'm asked
> whether I want to kill existing running command, which would correspond
> to async-shell-command-buffer set to `confirm-kill-process' (but it has
> different value).

This is a duplicate of bug#24394 I'm just working on. Will be fixed soon.

> Thanks.

Best regards, Michael.